from django.conf import settings
from launchpadlib.launchpad import Launchpad

def lp_login(lp_instance='production'):
    """
    Return a logged in Launchpad object. 
    """

    cachedir = settings.CACHE_PATH
    client_ident = getattr(settings, 'LP_PROJECT_NAME', "Harvest")
    try:
        launchpad = Launchpad.login_anonymously(client_ident, lp_instance, cachedir)
    except:
        try:
            # Support for launchpadlib pre 1.5.4.
            launchpad = Launchpad.login(client_ident, "", "", lp_instance, cachedir)
        except:
            # Launchpad might be offline.
            return None
    return launchpad

def get_packagesets(lp):
    """
    Get list of packagesets for current development release of Ubuntu.
    """
    current_series = lp.distributions['ubuntu'].current_series
    packagesets = filter(lambda a: a.distroseries == current_series, lp.packagesets)
    return packagesets
