#!/usr/bin/python

import os
import subprocess

from django.conf import settings
from django.core.management.base import NoArgsCommand

try:
    APP_NAME = settings.PROJECT_NAME
except AttributeError:
    APP_NAME = "harvest"

DUMMY_LOCALE = "xx"

def update_template():
    pwd = os.getcwd()
    os.chdir(settings.PROJECT_PATH)
    subprocess.call(["./manage.py", "makemessages", "-l", DUMMY_LOCALE])
    project_locale_path = settings.LOCALE_PATH
    os.rename(os.path.join(project_locale_path, 
                           "%s/LC_MESSAGES/django.po" % DUMMY_LOCALE),
              os.path.join(project_locale_path, "%s.pot" % APP_NAME))
    os.removedirs(os.path.join(project_locale_path, 
                               "%s/LC_MESSAGES" % DUMMY_LOCALE))
    os.chdir(pwd)

class Command(NoArgsCommand):
    help = "Update translations template."

    def handle_noargs(self, **options):
        update_template()
