from django.conf.urls.defaults import *

import feeds

feed_dict = {
    'newest25' : feeds.NewestOpportunitiesFeed,
    'package' : feeds.SinglePackageFeed, 
}

urlpatterns = patterns('',
    url(r'^$',
        'opportunities.views.filter',
        name='filter'),
    
    url(r'^package/(?P<package_name>.+)/$',
        'opportunities.views.single_package',
        name='single_package'),

    url(r'^json/(?P<package_name>.+)/$',
        'opportunities.views.json_package_summary',
        name='json_package_summary'),

    url(r'^opportunity/(?P<opportunity_id>[\d]+)/edit/$',
        'opportunities.views.opportunity_edit',
        name='opportunity_edit'),
    
    url(r'^opportunity/(?P<opportunity_id>[\d]+)/applied/$',
        'opportunities.views.opportunity_applied',
        name='opportunity_applied'),
    
    url(r'^opportunity/(?P<opportunity_id>[\d]+)/irrelevant/$',
        'opportunities.views.opportunity_irrelevant',
        name='opportunity_irrelevant'),
    
    url(r'^xhr/results/$',
        'opportunities.views.xhr_filter_results'),
    
    url(r'^xhr/results/(?P<package_id>[\d]+)/$',
        'opportunities.views.xhr_package_details'),
    
    url(r'xhr/opportunity/(?P<opportunity_id>[\d]+)/$',
        'opportunities.views.xhr_opportunity_li'),
    
    url(r'^xhr/opportunity/(?P<opportunity_id>[\d]+)/edit/$',
        'opportunities.views.xhr_opportunity_edit'),
    
    url(r'^rss/(?P<url>.*)/$',
        'django.contrib.syndication.views.feed',
        {'feed_dict': feed_dict},
        name='feed'),
)
