from django.conf import settings
from django.conf.urls.defaults import *
from django.contrib import admin

admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', 'common.views.index', name='home'),
    url(r'^opportunities/', include('opportunities.urls')),
    url(r'^services/', include('services.urls')),
    url(r'^openid/', include('django_openid_auth.urls')),
    url(r'^logout$', 'common.views.site_logout'),
    url(r'^admin/(.*)', admin.site.root),
)

if settings.STATIC_SERVE:
    urlpatterns += patterns('',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
        url(r'^(robots.txt)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
)
